Blame qtdeclarative-opensource-src-5.9.0-no_sse2.patch

6e9a7f
--- qtdeclarative-opensource-src-5.9.0-beta3/src/qml/jsruntime/qv4global_p.h	2017-04-21 20:34:05.000000000 +0200
6e9a7f
+++ qtdeclarative-opensource-src-5.9.0-beta3/src/qml/jsruntime/qv4global_p.h.new	2017-05-06 09:23:00.894049064 +0200
b6410f
@@ -95,7 +95,7 @@
b6410f
 //
b6410f
 // NOTE: This should match the logic in qv4targetplatform_p.h!
b6410f
 
6e9a7f
-#if defined(Q_PROCESSOR_X86) && (QT_POINTER_SIZE == 4) \
6e9a7f
+#if defined(Q_PROCESSOR_X86) && (QT_POINTER_SIZE == 4) && defined(__SSE2__) \
b6410f
     && (defined(Q_OS_WIN) || defined(Q_OS_LINUX) || defined(Q_OS_QNX) || defined(Q_OS_FREEBSD))
b6410f
 #  define V4_ENABLE_JIT
b6410f
 #elif defined(Q_PROCESSOR_X86_64) && (QT_POINTER_SIZE == 8) \
6e9a7f
--- qtdeclarative-opensource-src-5.9.0-beta3/src/qml/jsruntime/jsruntime.pri	2017-04-21 20:34:05.000000000 +0200
6e9a7f
+++ qtdeclarative-opensource-src-5.9.0-beta3/src/qml/jsruntime/jsruntime.pri.new	2017-05-06 09:25:12.698437577 +0200
6e9a7f
@@ -115,6 +115,11 @@
b6410f
     $$PWD/qv4value.cpp \
b6410f
     $$PWD/qv4executableallocator.cpp
b6410f
 
6e9a7f
+linux-g++*:isEqual(QT_ARCH,i386):!no_sse2 {
6e9a7f
+    QMAKE_CFLAGS += -msse2 -mfpmath=sse
6e9a7f
+    QMAKE_CXXFLAGS += -msse2 -mfpmath=sse
6e9a7f
+}
6e9a7f
+
b6410f
 valgrind {
b6410f
     DEFINES += V4_USE_VALGRIND
b6410f
 }
6e9a7f
--- qtdeclarative-opensource-src-5.9.0-beta3/src/qml/qml/v8/qv8engine.cpp	2017-04-21 20:34:05.000000000 +0200
6e9a7f
+++ qtdeclarative-opensource-src-5.9.0-beta3/src/qml/qml/v8/qv8engine.cpp.new	2017-05-06 09:27:19.373810971 +0200
b6410f
@@ -129,7 +129,7 @@
b6410f
     , m_xmlHttpRequestData(0)
b6410f
     , m_listModelData(0)
b6410f
 {
6e9a7f
-#ifdef Q_PROCESSOR_X86_32
6e9a7f
+#if defined(Q_PROCESSOR_X86_32) && defined(__SSE2__)
b6410f
     if (!qCpuHasFeature(SSE2)) {
b6410f
         qFatal("This program requires an X86 processor that supports SSE2 extension, at least a Pentium 4 or newer");
b6410f
     }